Kirjoittaja Aihe: Odottaako 5.16:n tuloa vai tehdä jotain muuta?  (Luettu 2843 kertaa)

SuperOscar

  • Käyttäjä
  • Viestejä: 3991
  • Ocatarinetabellatsumtsum!
    • Profiili
    • Legisign.org
Äirelle synttärilahjaksi ostamassani uudessa HP:n halpiskannettavassa osoittautui olevan ikävä langaton piiri, Realtek RTL8852AE (verkosta löytyy osumia myös nimillä ”a85a” ja ”rtw89”). Tuki tälle vaikuttaisi olevan vasta Linux-ytimen versiossa 5.16. Kokeilin tämän myös openSUSE Tumbleweed -asennus-DVD:llä, ja se todella paitsi löytää verkkokortin myös pääsee sillä verkkoon.

Äirelläni on kuitenkin aina ollut käytössä Linux Mint Cinnamon, johon hän on tottunut. Sen uusinkaan versio ei tunnistanut paitsi langatonta verkkoa myöskään – ainakaan live-vaiheessa – kunnolla näytönohjainta, koska tarkkuudeksi sai vain 1024×768.

Nyt olen vähän n:n vaiheilla sen suhteen, mitä tehdä:

  • Voisin asentaa Linux Mint Cinnamonin ja kääntää verkkokortin ajurin käsin. Ratkaisun heikkoutena on se, että joka ikisen ytimen päivityksen jälkeen ajuri pitäisi asentaa taas käsin, mikä käytännössä estäisi panemasta päivityksiä automaattisiksi.
  • Muuten sama, mutta laiteajurin sijaan uudempi ydin. Samat ongelmat mahdollisesti vielä pahempina.
  • Viimeisenä mieleen tulevana vaihtoehtona olisi asentaa jokin sellainen jakelu, joka jo tarjoaisi 5.16-ytimen. Ongelmaksi tulee taas päivittäminen: esim. openSUSE Tumbleweedissä pitää käytännössä käsin ajaa ”zypper dup”, ja vieläpä turhan usein, jotta se oikein tällaiseen eläkeläiskoneeseen istuisi.

Ilmeisesti Ubuntun 22.04-versioonkaan ei vielä tule riittävän uutta ydintä, joten sen odottaminen ei taida olla ratkaisu.

Ideoita?
pöytäkone 1, kannettavat 2 & 3: Debian GNU/Linux 12; pöytäkone 2, kannettava 1: openSUSE Tumbleweed; NUC: openSUSE Leap 15.5; RPi 1: FreeBSD 13.2-RELEASE; RPi 2: LibreELEC 11

Roberto

  • Käyttäjä
  • Viestejä: 172
    • Profiili
Vs: Odottaako 5.16:n tuloa vai tehdä jotain muuta?
« Vastaus #1 : 12.04.22 - klo:16.22 »
Itse laittaisn vain edullisen langattoman Wifi-adapterin, esim ASUS USB-AC51 Dual-band -WiFi-adapteri
Verkkiksessä jotain 23€
Windows, Linux ja Mac -yhteensopiva.
Dell OptiPlex 7470 (All in One), i5-9500T (6) @ 4,400GHz, 32 GiB DDR4, Samsung 970 EVO Plus (M.2 2280) 500 Gt
Dell OptiPlex 7440 (All in One), i5-6500  (4) @ 3.600GHz, 16 GiB DDR4, Samsung 970 EVO Plus (M.2 2280) 500 Gt
Jäähyllä olevat: Amiga 500, C64

SuperOscar

  • Käyttäjä
  • Viestejä: 3991
  • Ocatarinetabellatsumtsum!
    • Profiili
    • Legisign.org
Vs: Odottaako 5.16:n tuloa vai tehdä jotain muuta?
« Vastaus #2 : 12.04.22 - klo:16.48 »
Itse laittaisn vain edullisen langattoman Wifi-adapterin,

Aivan totta, se kävisi ainakin väliaikaisratkaisuksi kunnes 5.16 tulee yleisemmin käyttöön. Minulla saattaisi jokin vanha jossakin ollakin.
pöytäkone 1, kannettavat 2 & 3: Debian GNU/Linux 12; pöytäkone 2, kannettava 1: openSUSE Tumbleweed; NUC: openSUSE Leap 15.5; RPi 1: FreeBSD 13.2-RELEASE; RPi 2: LibreELEC 11

juyli

  • Käyttäjä / moderaattori
  • Viestejä: 1198
    • Profiili
Vs: Odottaako 5.16:n tuloa vai tehdä jotain muuta?
« Vastaus #3 : 12.04.22 - klo:23.45 »
Aivan totta, se kävisi ainakin väliaikaisratkaisuksi kunnes 5.16 tulee yleisemmin käyttöön.
Toki Roberton ohje on absoluuttinen totuus ongelman ratkaisemiseksi.
Mutta Esim. ylläpitääksesi jotakuta jakeluversiota, olisi ehkä paikallaan asentaa jakeluversio, jonka saloihin olet juuriaan myöten perehtynyt.
https://software.opensuse.org/package/kernel-default
Toki uuden jakeluversion muokkaaminen on työläs tehtävä, mutta ehkä vaivattomampaa kuin jotkin muut vaihtoehdot.
Itsessään eri työpöydät vastaavat toisiaan myös eri jakeluissa käyttäjän näkökulmasta.
Myöskään tietyn järjestelmän etäkäyttö ei liene ylivoimaista käyttöjärjestelmästä riippumatta.

SuperOscar

  • Käyttäjä
  • Viestejä: 3991
  • Ocatarinetabellatsumtsum!
    • Profiili
    • Legisign.org
Vs: Odottaako 5.16:n tuloa vai tehdä jotain muuta?
« Vastaus #4 : 13.04.22 - klo:08.41 »
Päädyin itse asiassa asentamaan koneelle toistaiseksi openSUSE Tumbleweedin. Siinä on 5.17 ja se on periaatteessa kumminkin tuttu. Lähinnä mietin, pääsenkö tarpeeksi usein päivittämään sitä. Mintin sai kätevästi automaattipäivittymään.
pöytäkone 1, kannettavat 2 & 3: Debian GNU/Linux 12; pöytäkone 2, kannettava 1: openSUSE Tumbleweed; NUC: openSUSE Leap 15.5; RPi 1: FreeBSD 13.2-RELEASE; RPi 2: LibreELEC 11

juyli

  • Käyttäjä / moderaattori
  • Viestejä: 1198
    • Profiili
Vs: Odottaako 5.16:n tuloa vai tehdä jotain muuta?
« Vastaus #5 : 14.04.22 - klo:23.40 »
Päädyin itse asiassa asentamaan koneelle toistaiseksi openSUSE Tumbleweedin. Siinä on 5.17 ja se on periaatteessa kumminkin tuttu.
Olen useamman kerran asennellut OpenSusen testiksi koneelle, mutta todennut sen opettelun turhaksi, koska käytän pääsääntöisesti Fedora-jakelua. Erityisesti vierastin Tumbleweed-versiota :(.
  Lähinnä mietin, pääsenkö tarpeeksi usein päivittämään sitä. Mintin sai kätevästi automaattipäivittymään.
??? Eikö OpenSusessa ole tarjolla automaattipäivityksiä? Osaamattomampi käyttäjä tuskin edes huomaisi, että päivitykset on asennettu käynnistettyään koneensa uudelleen.
Myös järjestelmän etäkäytön pitäisi toimia osaavissa käytössä?

Postimies

  • Käyttäjä
  • Viestejä: 2619
    • Profiili
Vs: Odottaako 5.16:n tuloa vai tehdä jotain muuta?
« Vastaus #6 : 15.04.22 - klo:21.57 »
Ssh:lla koneen päivityksen luulisi olevan helppoa. Itse teen paljon niin.
Ei kernelin kääntäminen kovin vaikeaa ole. Mintin kernelin config-tiedosto pohjaksi ja tekee make oldconfig uudelle kernelille. Make install asentaa sen. Kerneliä ei tarvitse kovin usein päivittää. Mediakoneessa vielä 4.4.xxx. Osin siksi kun en saanut lircd:n uudempaa versiota toimimaan. Kun vielä toimii en viitsi tapella.
Mintin paketinhallinta tuskin poistaa itse asennettua kerneliä. Antaa päivitellä kunhan koneen käynnistää itse käännetyllä kernelillä.